Package ietf.params.xml.ns.icalendar_2

# Class IntegerPropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.IntegerPropertyType

Direct Known Subclasses:
  `PercentCompletePropType`, `PollItemIdPropType`, `PriorityPropType`, `RepeatPropType`, `SequencePropType`, `XBedeworkMaxTicketsPerUserPropType`, `XBedeworkMaxTicketsPropType`

public class IntegerPropertyType extends BasePropertyType

Java class for IntegerPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IntegerPropertyType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}integer"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BigInteger`
  `integer`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getInteger()`
  Gets the value of the integer property.
  `void`
  `setInteger(BigInteger value)`
  Sets the value of the integer property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### integer

    protected BigInteger integer

- ## Constructor Details

  - ### IntegerPropertyType

    public IntegerPropertyType()

- ## Method Details

  - ### getInteger

    public BigInteger getInteger()
    Gets the value of the integer property.
    Returns:
      possible object is `BigInteger`

  - ### setInteger

    public void setInteger(BigInteger value)
    Sets the value of the integer property.
    Parameters:
      `value` - allowed object is `BigInteger`